<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: MissionBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/da9/a03869.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">MissionBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a473faccf10a55df0f388de512a202fb9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da9/a03869.html#a473faccf10a55df0f388de512a202fb9">MissionBase</a> ()</td></tr>
<tr class="separator:a473faccf10a55df0f388de512a202fb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf4c31f824e7c2dbbaeb63c5778d48af"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../df/dae/a04393.html">UIScriptedMenu</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da9/a03869.html#adf4c31f824e7c2dbbaeb63c5778d48af">CreateScriptedMenu</a> (int id)</td></tr>
<tr class="separator:adf4c31f824e7c2dbbaeb63c5778d48af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf4c31f824e7c2dbbaeb63c5778d48af"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../df/dae/a04393.html">UIScriptedMenu</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da9/a03869.html#adf4c31f824e7c2dbbaeb63c5778d48af">CreateScriptedMenu</a> (int id)</td></tr>
<tr class="separator:adf4c31f824e7c2dbbaeb63c5778d48af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a473faccf10a55df0f388de512a202fb9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da9/a03869.html#a473faccf10a55df0f388de512a202fb9">MissionBase</a> ()</td></tr>
<tr class="separator:a473faccf10a55df0f388de512a202fb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf4c31f824e7c2dbbaeb63c5778d48af"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../df/dae/a04393.html">UIScriptedMenu</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da9/a03869.html#adf4c31f824e7c2dbbaeb63c5778d48af">CreateScriptedMenu</a> (int id)</td></tr>
<tr class="separator:adf4c31f824e7c2dbbaeb63c5778d48af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >MissionBase.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d64/a08706_source.html#l00013">13</a> of file <a class="el" href="../../d1/d64/a08706_source.html">missionbase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a473faccf10a55df0f388de512a202fb9" name="a473faccf10a55df0f388de512a202fb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a473faccf10a55df0f388de512a202fb9">&#9670;&#160;</a></span>MissionBase() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBase::MissionBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d64/a08706_source.html#l00018">18</a> of file <a class="el" href="../../d1/d64/a08706_source.html">missionbase.c</a>.</p>

</div>
</div>
<a id="a473faccf10a55df0f388de512a202fb9" name="a473faccf10a55df0f388de512a202fb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a473faccf10a55df0f388de512a202fb9">&#9670;&#160;</a></span>MissionBase() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionBase::MissionBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d80/a08712_source.html#l00003">3</a> of file <a class="el" href="../../d3/d80/a08712_source.html">missionbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adf4c31f824e7c2dbbaeb63c5778d48af" name="adf4c31f824e7c2dbbaeb63c5778d48af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf4c31f824e7c2dbbaeb63c5778d48af">&#9670;&#160;</a></span>CreateScriptedMenu() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../df/dae/a04393.html">UIScriptedMenu</a> MissionBase::CreateScriptedMenu </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d64/a08706_source.html#l00030">30</a> of file <a class="el" href="../../d1/d64/a08706_source.html">missionbase.c</a>.</p>

</div>
</div>
<a id="adf4c31f824e7c2dbbaeb63c5778d48af" name="adf4c31f824e7c2dbbaeb63c5778d48af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf4c31f824e7c2dbbaeb63c5778d48af">&#9670;&#160;</a></span>CreateScriptedMenu() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../df/dae/a04393.html">UIScriptedMenu</a> MissionBase::CreateScriptedMenu </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d62/a08709_source.html#l00003">3</a> of file <a class="el" href="../../de/d62/a08709_source.html">missionbase.c</a>.</p>

</div>
</div>
<a id="adf4c31f824e7c2dbbaeb63c5778d48af" name="adf4c31f824e7c2dbbaeb63c5778d48af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf4c31f824e7c2dbbaeb63c5778d48af">&#9670;&#160;</a></span>CreateScriptedMenu() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../df/dae/a04393.html">UIScriptedMenu</a> MissionBase::CreateScriptedMenu </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d58/a08715_source.html#l00015">15</a> of file <a class="el" href="../../dd/d58/a08715_source.html">missionbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/5_mission/dayzexpansion_basebuilding/mission/<a class="el" href="../../d1/d64/a08706_source.html">missionbase.c</a></li>
<li>DayzExpansion/Chat/Scripts/5_mission/dayzexpansion_chat/<a class="el" href="../../de/d62/a08709_source.html">missionbase.c</a></li>
<li>DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mission/<a class="el" href="../../d3/d80/a08712_source.html">missionbase.c</a></li>
<li>DayzExpansion/Navigation/Scripts/5_mission/dayzexpansion_navigation/<a class="el" href="../../dd/d58/a08715_source.html">missionbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/da9/a03869.html">MissionBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
